## org.apache.lucene.util
Class UncaughtExceptionsRule.UncaughtExceptionEntry

    java.lang.Object
      org.apache.lucene.util.UncaughtExceptionsRule.UncaughtExceptionEntry

Enclosing class:
  UncaughtExceptionsRule

    public static class UncaughtExceptionsRule.UncaughtExceptionEntry

extends Object

Field Summary
`Throwable` `exception`
`Thread` `thread`

Constructor Summary
`UncaughtExceptionsRule.UncaughtExceptionEntry(Thread thread, Throwable exception)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    public final Thread thread

### exception

    public final Throwable exception

Constructor Detail

### UncaughtExceptionsRule.UncaughtExceptionEntry

    public UncaughtExceptionsRule.UncaughtExceptionEntry(Thread thread,
                                                         Throwable exception)